const emoji = require("node-emoji");
const chalk = require("chalk");

function groomLog(...entries) {
  console.log(...entries.map(emoji.emojify));
}

module.exports = {
  info: groomLog,
  title: (title) => groomLog("\n", chalk.blue.bold(title)),
  subtitle: (title) => groomLog("\n", chalk.blue(title)),
  error: (message) => groomLog(":skull:", chalk.red(message)),
  success: (message) => groomLog(":sparkles:", chalk.green(message)),
};
